<app-loading *ngIf="loading"></app-loading>
<div *ngIf="!loading" class="card">
  <div class="row no-gutters">
    <div class="col-md-4">
      <img [src]="artist.images | noimage" class="card-img" alt="...">
    </div>
    <div class="col-md-8">
      <div class="card-body">
        <h5 class="card-title">{{ artist.name }}</h5>
        <p class="genres">Genre:</p>
        <p class="card-text" *ngFor="let genre of artist.genres">
          <span class="badge badge-pill badge-dark">{{ genre }}</span>
       </p>
        <p class="card-text"><a [href]="artist.external_urls.spotify" target="_blank">Go to the artist page.</a></p>
      </div>
    </div>
  </div>
</div>